classification
Title: Python 2.7 _socket DLL import error on Windows Vista
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, roger.serwy, sk7
Priority: normal Keywords:

Created on 2012-10-03 13:59 by sk7, last changed 2012-10-10 19:55 by sk7. This issue is now closed.

Messages (6)
msg171884 - (view) Author: Spiros K. (sk7) Date: 2012-10-03 13:59
Hello.

I intalled EPD Free 7.3-2 WIN x86 a few hours ago and idle script doesn't work. When i try to run IDLE from cmd (c:\Python27\Lib\idlelib>idle.py) i take the following output:

Traceback (most recent call last):
  File "C:\Python27\Lib\idlelib\idle.py", line 10, in <module>
    import idlelib.PyShell
  File "C:\Python27\Lib\idlelib\PyShell.py", line 9, in <module>
    import socket
  File "C:\Python27\Lib\socket.py", line 47, in <module>
    import _socket
ImportError: DLL load failed: ─ίΊ ▐ΪάΊ ϊΫΊάΪⁿ Ίά ίΊΪΎΏώ≤Ϊί▀ ύ ΆάϋΎ±ώ≤Ή▌Ίύ ΉΎΊ▄ϊά
.

My operating system is WinVista HomePremium SP2. Is there any way to solve this problem?
msg171887 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-10-03 14:16
Does the official Python 2.7.3 installation from python.org/download/ work for you?
msg171890 - (view) Author: Spiros K. (sk7) Date: 2012-10-03 14:47
i removed the EPD version and installed the official Python 2.7.3, but still IDLE doesn't work (neither the start menu sortcut, nor the idle.py from cmd which still gives the same dll error).

The only difference is that the python (command line) works this time.
msg171892 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-10-03 15:58
This is not a problem with IDLE, but with an error with loading the _socket DLL. I changed the title to reflect the problem.
msg172461 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2012-10-09 08:46
Note: the error message above is mojibake (cp1253-encoded message written to a cp737 console) for:
"Δεν ήταν δυνατό να εντοπιστεί η καθορισμένη μονάδα" (The specified module could not be found)

Spiros, you closed the issue. How did you fix it exactly?
msg172600 - (view) Author: Spiros K. (sk7) Date: 2012-10-10 19:55
I found out that I had intalled an other program which used an obsolete version of python that generated a "conflict" with the current version. By removing this program everything worked fine.
History
Date User Action Args
2012-10-10 19:55:51sk7setmessages: + msg172600
2012-10-09 08:46:21amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg172461
2012-10-05 20:40:29sk7setstatus: open -> closed
resolution: fixed
2012-10-03 15:58:52roger.serwysetmessages: + msg171892
components: + Library (Lib), - IDLE
title: Python 2.7 IDLE not working in WinVista -> Python 2.7 _socket DLL import error on Windows Vista
2012-10-03 14:47:12sk7setmessages: + msg171890
2012-10-03 14:16:15roger.serwysetnosy: + roger.serwy
messages: + msg171887
2012-10-03 13:59:27sk7create